# wiki-jogobot-teamstation
This is a [Pywikibot](https://www.mediawiki.org/wiki/Manual:Pywikibot) based [Wikipedia Bot](https://de.wikipedia.org/wiki/Wikipedia:Bots)
of [User:JogoBot](https://de.wikipedia.org/wiki/Benutzer:JogoBot) on the
[German Wikipedia](https://de.wikipedia.org/wiki/Wikipedia:Hauptseite).

It is used to correct errors in usage of [Template Team-Station](https://de.wikipedia.org/wiki/Vorlage:Team-Station).

## Requirements
* Python 3.4+ (at least it is only tested with those)
* pywikibot-core 2.0
* mwparserfromhell 0.5.1
* [jogobot-core module](https://git.golderweb.de/wiki/jogobot) used as submodule

## Usage
```
python teamstation.py -family:wikipedia
```
_Important_: Do not use `-always` since there are many special cases which are not detected. Always check diff!

## Versions
* v0.1 Semi-automatical correction of wrong dash symbols in time spans

## Bugs
[jogobot-teamstation Issues](https://git.golderweb.de/wiki/jogobot-teamstation/issues)

## License
GPLv3+

## Author Information
Copyright 2018 Jonathan Golder <jonathan@golderweb.de>
